Package org.apache.sling.scriptingbundle.plugin.processor

# Class FileProcessor

java.lang.Object
org.apache.sling.scriptingbundle.plugin.processor.FileProcessor

public class FileProcessor extends Object

## Constructor Summary

Constructors
Constructor
Description
`FileProcessor(Logger log, Set<String> searchPaths, Map<String,String> scriptEngineMappings)`

## Method Summary

Modifier and Type
Method
Description
`void`
`processExtendsFile(@NotNull org.apache.sling.api.resource.type.ResourceType resourceType, @NotNull Path file, @NotNull Set<ProvidedResourceTypeCapability> providedCapabilities, @NotNull Set<RequiredResourceTypeCapability> requiredCapabilities)`
`void`
`processScriptFile(@NotNull Path resourceTypeDirectory, @NotNull Path scriptPath, @NotNull org.apache.sling.api.resource.type.ResourceType resourceType, @NotNull Set<ProvidedResourceTypeCapability> providedCapabilities, boolean inContentPackage)`
`void`
`processVaultFile(@NotNull Path entry, @NotNull org.apache.sling.api.resource.type.ResourceType resourceType, @NotNull Set<ProvidedResourceTypeCapability> providedCapabilities, @NotNull Set<RequiredResourceTypeCapability> requiredCapabilities)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileProcessor

public FileProcessor(Logger log, Set<String> searchPaths, Map<String,String> scriptEngineMappings)

## Method Details

### processExtendsFile

public void processExtendsFile(@NotNull @NotNull org.apache.sling.api.resource.type.ResourceType resourceType, @NotNull @NotNull Path file, @NotNull @NotNull Set<ProvidedResourceTypeCapability> providedCapabilities, @NotNull @NotNull Set<RequiredResourceTypeCapability> requiredCapabilities) throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### processScriptFile

public void processScriptFile(@NotNull @NotNull Path resourceTypeDirectory, @NotNull @NotNull Path scriptPath, @NotNull @NotNull org.apache.sling.api.resource.type.ResourceType resourceType, @NotNull @NotNull Set<ProvidedResourceTypeCapability> providedCapabilities, boolean inContentPackage)

### processVaultFile

public void processVaultFile(@NotNull @NotNull Path entry, @NotNull @NotNull org.apache.sling.api.resource.type.ResourceType resourceType, @NotNull @NotNull Set<ProvidedResourceTypeCapability> providedCapabilities, @NotNull @NotNull Set<RequiredResourceTypeCapability> requiredCapabilities)